INTERFACE
SUBROUTINE CPEDIA(KPROMA,KIDIA,KFDIA,KSTGLO,LDFSTEP,LDMLPP,LDRS6,LDRSACC,&
 & PFPLCL ,PFPLCN ,PFPLSL ,PFPLSN,&
 & PFRSO ,PFRSOD ,PFRTH ,PFRTHD ,PUVDF , PPARF ,&
 & PCAPE , PPARCF, PTINCF ,PFDIR ,PCDIR , PCBASE,P0DEGL ,PVISIH,&
 & PDIFTS ,PDIFTQ ,PSTRTU ,PSTRTV,&
 & PFCLL ,PFCLN ,PTCLS ,PISUND,&
 & PVDIS ,PVDISG ,PUSTRG,&
 & PVSTRG ,PRUISS ,PRUISP,&
 & PRESH ,PRESF ,PDELP,&
 & PT ,PQ ,PO3 ,PGHG ,PTRAC ,PGRG ,PAERO,&
 & PL ,PR ,PI ,PS ,PTENQ, POROG,&
 & PCH4S ,PDLSP ,PDCP ,PDSF ,PDBLD ,PSUND,&
 & PITTRC ,PITSRC ,PISTRC ,PISSRC ,PIES, PISMLT, PI10FG, PILSPF, PIVIMD,&
 & PVTTRC ,PVTSRC ,PVSTRC ,PVSSRC ,PVES, PVSMLT, PV10FG, PV10FG6,PVLSPF,PVVIMD,&
 & PDSSHF ,PDSLHF ,PDSP ,PDMSL ,&
 & PDSSR ,PDSTR ,PDSSRD ,PDSTRD ,PDTSR ,PDTTR,&
 & PDUVDF ,PDPARF ,PDCAPE ,PDPARCF,PDTINCF,PDFDIR,PDCDIR,PDCBASE,PD0DEGL,PDVISIH,&
 & PDEWSS ,PDNSSS ,PDE ,PDLGWS,&
 & PDMGWS ,PDGWD ,PDMX2T ,PDMN2T ,PDMX2T6,PDMN2T6,PDRO,PDSSRO,PDSRO,&
 & PDCSF ,PDLSSF,&
 & PDIEWSS,PDINSSS,PDISSHF,PDIE ,&
 & PDTCW ,PDTCWV ,PDTCLW ,PDTCIW, PDTCRW, PDTCSW, PDTCO3,&
 & PDTCGHG,PDTCTRAC,PDTCGRG,PDTCCH4S,PDTCAERO) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE YOM_YGFL, ONLY : YO3, YL, YI, YR, YS,&
 & YGHG, NGHG , YTRAC, NTRAC ,YGRG, NGRG, YAERO, NACTAERO , YCH4S 
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
LOGICAL ,INTENT(IN) :: LDFSTEP
LOGICAL ,INTENT(IN) :: LDMLPP
LOGICAL ,INTENT(IN) :: LDRSACC
LOGICAL ,INTENT(IN) :: LDRS6
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCL(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCN(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSL(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSN(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSO(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSOD(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTH(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTHD(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PUVDF(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PPARF(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCAPE(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PPARCF(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTINCF(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCBASE(KPROMA), P0DEGL(KPROMA), PVISIH(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFDIR(KPROMA), PCDIR(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTS(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTQ(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTU(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTV(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCLL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCLN(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTCLS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PISUND(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDIS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDISG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSTRG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSTRG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISP(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESH(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PO3(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGHG(KPROMA,NFLEVG,NGHG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCH4S(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRAC(KPROMA,NFLEVG,NTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PGRG(KPROMA,NFLEVG,NGRG)
REAL(KIND=JPRB) ,INTENT(IN) :: PAERO(KPROMA,NFLEVG,NACTAERO)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENQ(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PL(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PR(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PI(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PS(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLSP(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDCP(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDSF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDBLD(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSUND(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PITTRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PITSRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PISTRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PISSRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PIES(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PISMLT(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PI10FG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PILSPF(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PIVIMD(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVTTRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVTSRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVSTRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVSSRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVES(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVSMLT(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV10FG(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV10FG6(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVLSPF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDSSHF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDSLHF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVVIMD(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDSP(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDMSL(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDSSR(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDSTR(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDSSRD(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDSTRD(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDTSR(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDTTR(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDUVDF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDPARF(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDCAPE(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDPARCF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDTINCF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDCBASE(KPROMA), PD0DEGL(KPROMA), PDVISIH(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDFDIR(KPROMA), PDCDIR(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDEWSS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDNSSS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDE(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLGWS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMGWS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDGWD(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMX2T(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMN2T(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMX2T6(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMN2T6(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDRO(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDSRO(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDSSRO(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDCSF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLSSF(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIEWSS(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDINSSS(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDISSHF(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIE(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDTCW(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDTCWV(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDTCLW(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDTCIW(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDTCRW(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDTCSW(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDTCO3(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDTCGHG(KPROMA,NGHG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDTCTRAC(KPROMA,NTRAC)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDTCGRG(KPROMA,NGRG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDTCCH4S(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDTCAERO(KPROMA,NACTAERO)
END SUBROUTINE CPEDIA
END INTERFACE
